### File

`packages/eui/packages/components-next/src/lib/layout/eui-overlay/eui-overlay.component.ts`

### Extends

`BaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-overlay`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-overlay.component.html`

### Index

###### Inputs
isActive position width
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

isActive
Default value : `false`

position
Default value : `'right'`

width
Default value : `'25'`

### HostBindings

class

# result-matching ""

# No results matching ""